#include "ClusterImageCheckBox.hpp"

#include "ClusterImageViewer.hpp"
#include "../ClusterImage.hpp"

using namespace indii::tint;
using namespace indii::tint::gui;

ClusterImageCheckBox::ClusterImageCheckBox(wxWindow* parent,
    ClusterImage* image, ClusterImageViewer* viewer, int cluster) :
    wxCheckBox(parent, -1, _T("Tint")) {
  this->image = image;
  this->viewer = viewer;
  this->cluster = cluster;
}

ClusterImageCheckBox::~ClusterImageCheckBox() {
  //
}

void ClusterImageCheckBox::OnClick(wxCommandEvent& event) {
  image->ShowCluster(cluster, IsChecked());
  viewer->Notify();
}

BEGIN_EVENT_TABLE(ClusterImageCheckBox, wxCheckBox)
EVT_CHECKBOX(wxID_ANY, ClusterImageCheckBox::OnClick)
END_EVENT_TABLE()
