#ifndef INDII_TINT_GUI_CLUSTERIMAGEEDITOR_HPP
#define INDII_TINT_GUI_CLUSTERIMAGEEDITOR_HPP

#include "wx/wx.h"

namespace indii {
  namespace tint {

    class ClusterImage;

    namespace gui {

      class Workspace;
      class ClusterImageViewer;

/**
 * Editor for clustered image.
 *
 * @author Lawrence Murray <lawrence@indii.org>
 * @version $Rev: 44 $
 * @date $Date: 2007-08-25 16:33:26 +0100 (Sat, 25 Aug 2007) $
 */
class ClusterImageEditor : public wxScrolledWindow {
public:
  /**
   * Constructor.
   *
   * @param workspace Parent workspace.
   * @param image Cluster image to edit.
   * @param viewer Viewer associated with the same cluster image.
   */
  ClusterImageEditor(Workspace* workspace, ClusterImage* image,
      ClusterImageViewer* viewer);

  /**
   * Destructor.
   */
  virtual ~ClusterImageEditor();

  /**
   * Get cluster image.
   */
  ClusterImage* GetClusterImage();

  wxSize GetBestSize();

private:
  /**
   * Cluster image to edit.
   */
  ClusterImage* image;

  /**
   * Viewer associated with the same cluster image.
   */
  ClusterImageViewer* viewer;

  /*
   * Widgets.
   */
  wxPanel* panel;

  DECLARE_EVENT_TABLE()

};

    }
  }
}

#endif
