#include "Thumbnail.hpp"

using namespace indii::tint::gui;

Thumbnail::Thumbnail(wxWindow* parent, wxImage* image) : wxPanel(parent) {
  this->image = image;
  SetSize(image->GetWidth() + 4, image->GetHeight() + 4);
}

Thumbnail::~Thumbnail() {
  delete image;
}

void Thumbnail::OnPaint(wxPaintEvent& WXUNUSED(event)) {
  wxPaintDC dc(this);

  int width = image->GetWidth();
  int height = image->GetHeight();

  /* draw decorations */
  dc.SetBrush(*wxTRANSPARENT_BRUSH);
  dc.SetPen(*wxBLACK_PEN);
  dc.DrawRectangle(0, 0, width+2, height+2);
  dc.DrawLine(width+2, 1, width+2, height+2);
  dc.DrawLine(width+3, 2, width+3, height+3);
  dc.DrawLine(1, height+2, width+2, height+2);
  dc.DrawLine(2, height+3, width+3, height+3);

  dc.DrawBitmap(wxBitmap(*image), 1, 1, false);
}

BEGIN_EVENT_TABLE(Thumbnail, wxPanel)
EVT_PAINT(Thumbnail::OnPaint)
END_EVENT_TABLE()
