#ifndef INDII_TINT_GUI_IMAGECANVAS_HPP
#define INDII_TINT_GUI_IMAGECANVAS_HPP

#include "wx/wx.h"

namespace indii {
  namespace tint {
    namespace gui {

/**
 * Canvas for displaying image thumbnail.
 *
 * @author Lawrence Murray <lawrence@indii.org>
 * @version $Rev: 13 $
 * @date $Date: 2007-08-11 13:17:58 +0100 (Sat, 11 Aug 2007) $
 */
class Thumbnail : public wxPanel {
public:
  /**
   * Constructor.
   *
   * @param parent Parent window.
   * @param image Thumbnail image to display. Callee claims ownership.
   */
  Thumbnail(wxWindow* parent, wxImage* image);

  /**
   * Destructor.
   */
  virtual ~Thumbnail();

  /**
   * Handle paint event.
   */
  void OnPaint(wxPaintEvent &event);

private:
  /**
   * Image to display.
   */
  wxImage* image;

  DECLARE_EVENT_TABLE()

};

    }
  }
}

#endif
