#include "TintApp.hpp"

#include "Workspace.hpp"
#include "ClusterWizard.hpp"
#include "../ClusterImage.hpp"

using namespace indii::tint::gui;

IMPLEMENT_APP(TintApp)

bool TintApp::OnInit() {
  bool result;

  /* initialise image file type handlers */
  wxInitAllImageHandlers();

  /* begin wizard */
  ClusterWizard* dialogWizard = new ClusterWizard(NULL);
  SetTopWindow(dialogWizard);

  if (dialogWizard->RunWizard()) {
    Workspace* workspace = new Workspace(dialogWizard->GetClusterImage());
    SetTopWindow(workspace);
    workspace->Show();
    result = true;
  } else {
    result = false;
  }

  dialogWizard->Destroy();
  return result;
}
